<id>
Donation Page for YaBB 2.4
</id>

<version>
0.2
</version>

<mod info>
Description
-----------
Adds a Donation Page to your Forum.

Installation
------------
1) Modify YaBB files using BoardMod or manually.
2) Upload modified files to your server in ASCII mode.
3) Upload DonationPageSettings.pl, DonationPage.lng and DonationPage.pl to their relevant directories in ASCII mode.
4) Upload donate.png and donate.gif to their relevant directories in binary mode.

Files to edit
-------------
AdminIndex.pl
Admin/AdminSublist.pl
Admin/ModList.pl
Languages/English/Admin.lng
Languages/English/Menu.lng
Sources/AdvancedTabs.pl
Sources/SubList.pl
Sources/Subs.pl
Sources/TabMenu.pl
Variables/Menu0.def
Variables/Menu1.def
Variables/Menu2.def
Variables/Settings.pl

Version History
---------------
V0.1 - First release - 28th May 2010
V0.2 - Fixed repeated text in Donation Page Settings - 30th May 2010
</mod info>

<author>
Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
$donation_page_mod = "donationpage|$mod_list{'donate'}|$mod_list{'donate1'}|";
push (@boardmod_mods, "$donation_page_mod");

</add before>

<edit file>
Admin/AdminSublist.pl
</edit file>

<search for>
'detailedversion',"Admin.pl&ver_detail",
</search for>

<add after>
### Donation Page Mod Start ###
'donationpage',"DonationPageSettings.pl&DonationPage",
'donationpage2',"DonationPageSettings.pl&DonationPage2",
### Donation Page Mod End ###
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $donation_page_mod = "Donation Page|Derek Barnstorm|Adds a Donation Page to your Forum. [<span class=\"small\"><a href=\"$adminurl?action=donationpage\" style=\"font-weight: bold;\">$mod_list{'donate'}</a></span>]|0.2|30th May 2010";
	push (@installed_mods, "$donation_page_mod");
	
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
);

%smtp_txt = (
</search for>

<add before>
### Donation Page Mod Start ###
'donate' => 'Donation Page Settings',
'donate1' => 'Edit Donation Page Settings',
### Donation Page Mod End ###
</add before>

<edit file>
Languages/English/Menu.lng
</edit file>

<search for>
);

%img_polltxt = (
</search for>

<add before>
'donate' => 'Donate', ### Donation Page Mod ###
</add before>

<edit file>
Sources/AdvancedTabs.pl
</edit file>

<search for>
	$edittab{'logout'} = qq~<span $tabstyle>$tabfill$img_txt{'108'}$tabfill</span>~;
</search for>

<add after>
	$edittab{'donate'} = qq~<span $tabstyle>$tabfill$img_txt{'donate'}$tabfill</span>~; ### Donation Page Mod ###
</add after>

<search for>
	$texttab{'logout'} = $img_txt{'108'};
</search for>

<add after>
	$texttab{'donate'} = $img_txt{'donate'}; ### Donation Page Mod ###
</add after>

<edit file>
Sources/SubList.pl
</edit file>

<search for>
'display',"Display.pl&Display",
</search for>

<add after>
### Donation Page Mod Start ###
'donate',"DonationPage.pl&Donate", 
'donationreceived',"DonationPage.pl&DonationReceived", 
### Donation Page Mod End ###
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
			$yymenu .= qq~$menusep<a href="$scripturl?action=logout">$img{'logout'}</a>~;
		}
</search for>

<add after>
		### Donation Page Mod Start ###
		if (-e("$vardir/DonationPage.txt")) { require "$vardir/DonationPage.txt"; }
		if ($en_donationpage == 2 || (!$iamguest && $en_donationpage == 1)) {
			$yymenu .= qq~$menusep<a href="$scripturl?action=donate">$img{'donate'}</a>~;
		}
		### Donation Page Mod End ###
</add after>

<edit file>
Sources/TabMenu.pl
</edit file>

<search for>
		$tab{'logout'} = qq~<span |><a href="$scripturl?action=logout" title = "$img_txt{'108'}" style="padding: 3px 0 4px 0;">$tabfill$img_txt{'108'}$tabfill</a></span>~;
	}
</search for>

<add after>
    ### Donation Page Mod Start ###
	if (-e "$vardir/DonationPage.txt") { require "$vardir/DonationPage.txt"; }
	if ($en_donationpage == 2 || (!$iamguest && $en_donationpage == 1)) {
		$tab{'donate'} = qq~<span |><a href="$scripturl?action=donate" title = "$img_txt{'donate'}" style="padding: 3px 0 4px 0;">$tabfill$img_txt{'donate'}$tabfill</a></span>~;
	}
	### Donation Page Mod End ###
</add after>

<edit file>
Variables/Menu0.def
</edit file>

<search for>
'collapse' => "<img src=\"$imagesdir/cat_collapse.$imgext\" alt=\"$img_txt{'623'}\" title=\"$img_txt{'623'}\" border=\"0\" /> <span class=\"imgcatbg\">$img_txt{'623'}</span>",
</search for>

<add after>
'donate' => "<img src=\"$imagesdir/donate.$imgext\" alt=\"$img_txt{'donate'}\" title=\"$img_txt{'donate'}\" border=\"0\" /> <span class=\"imgcatbg\">$img_txt{'donate'}</span>",
</add after>

<edit file>
Variables/Menu1.def
</edit file>

<search for>
'collapse' => "<span class=\"imgcatbg\">$img_txt{'623'}</span>",
</search for>

<add after>
'donate' => "<span class=\"imgcatbg\">$img_txt{'donate'}</span>",
</add after>

<edit file>
Variables/Menu2.def
</edit file>

<search for>
'collapse' => "<img src=\"$yyhtml_root/Buttons/$button_language/collapse.$imgext\" alt=\"$img_txt{'623'}\" title=\"$img_txt{'623'}\" border=\"0\" />",
</search for>

<add after>
'donate' => "<img src=\"$yyhtml_root/Buttons/$button_language/donate.$imgext\" alt=\"$img_txt{'donate'}\" title=\"$img_txt{'donate'}\" border=\"0\" />",
</add after>

<edit file>
Variables/Settings.pl
</edit file>

<search for>
1;
</search for>

<add before>
push(@AdvancedTabs, "donate");

</add before>

